com.io7m.jcanephora.core

## Enum JCGLStencilOperation

- java.lang.Object
- - java.lang.Enum<JCGLStencilOperation>
  - - com.io7m.jcanephora.core.JCGLStencilOperation

- All Implemented Interfaces:
    Serializable, Comparable<JCGLStencilOperation>

      public enum JCGLStencilOperation
      extends Enum<JCGLStencilOperation>

  Stencil operation specification.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `STENCIL_OP_DECREMENT` Decrements the current stencil buffer value.
    `STENCIL_OP_DECREMENT_WRAP` Decrements the current stencil buffer value.
    `STENCIL_OP_INCREMENT` Increments the current stencil buffer value.
    `STENCIL_OP_INCREMENT_WRAP` Increments the current stencil buffer value.
    `STENCIL_OP_INVERT` Bitwise inverts the current stencil buffer value.
    `STENCIL_OP_KEEP` Keeps the current value.
    `STENCIL_OP_REPLACE` Sets the stencil buffer value to ref, as specified by `.JCGLStencilBuffersType#stencilBufferFunction(JCGLFaceSelection, JCGLStencilFunction, int, int)` .
    `STENCIL_OP_ZERO` Sets the stencil buffer value to 0.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLStencilOperation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLStencilOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STENCIL_OP_DECREMENT

          public static final JCGLStencilOperation STENCIL_OP_DECREMENT

      Decrements the current stencil buffer value. Clamps to 0.

    - #### STENCIL_OP_DECREMENT_WRAP

          public static final JCGLStencilOperation STENCIL_OP_DECREMENT_WRAP

      Decrements the current stencil buffer value. Wraps stencil buffer value to the maximum representable unsigned value when decrementing a stencil buffer value of zero.

    - #### STENCIL_OP_INCREMENT

          public static final JCGLStencilOperation STENCIL_OP_INCREMENT

      Increments the current stencil buffer value. Clamps to the maximum representable unsigned value.

    - #### STENCIL_OP_INCREMENT_WRAP

          public static final JCGLStencilOperation STENCIL_OP_INCREMENT_WRAP

      Increments the current stencil buffer value. Wraps stencil buffer value to zero when incrementing the maximum representable unsigned value.

    - #### STENCIL_OP_INVERT

          public static final JCGLStencilOperation STENCIL_OP_INVERT

      Bitwise inverts the current stencil buffer value.

    - #### STENCIL_OP_KEEP

          public static final JCGLStencilOperation STENCIL_OP_KEEP

      Keeps the current value.

    - #### STENCIL_OP_REPLACE

          public static final JCGLStencilOperation STENCIL_OP_REPLACE

      Sets the stencil buffer value to ref, as specified by `.JCGLStencilBuffersType#stencilBufferFunction(JCGLFaceSelection, JCGLStencilFunction, int, int)` .

    - #### STENCIL_OP_ZERO

          public static final JCGLStencilOperation STENCIL_OP_ZERO

      Sets the stencil buffer value to 0.

  - ### Method Detail

    - #### values

          public static JCGLStencilOperation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLStencilOperation c : JCGLStencilOperation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLStencilOperation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com